<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/OptionSelectorMultistate.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/db8/_option_selector_multistate_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">OptionSelectorMultistate.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/db8/_option_selector_multistate_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html">    1</a></span><span class="keyword">class </span>OptionSelectorMultistate <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/dc0/class_option_selector.html">OptionSelector</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a1b9a58c73204b7539dda334b2bc7d981">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>  <a class="code hl_variable" href="../../d3/dc0/class_option_selector.html#a1b9a58c73204b7539dda334b2bc7d981">m_CanSwitch</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#af5993296d9069b7b33d3e8c737252398">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#af5993296d9069b7b33d3e8c737252398">OptionSelectorMultistate</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, <span class="keywordtype">int</span> current_index, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> parent_c, <span class="keywordtype">bool</span> disabled, notnull <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> options )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        m_CanSwitch = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        m_SelectorType              = 2;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_Options                   = options;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span>( options.Count() == 0 )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>( <span class="stringliteral">&quot;Invalid OptionSelectorMultistate options&quot;</span> );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span>( current_index &lt; 0 || current_index &gt;= m_Options.Count() )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            m_SelectedOptionIndex = 0;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            m_SelectedOptionIndex = current_index;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_Enabled = !disabled;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span>( m_Enabled )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga8437b9ea324657b6fb84a8b69a99f18e">Enable</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            Disable();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_SelectedOption.SetText( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a95c34f397b09a25c9314f6895171c279">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a95c34f397b09a25c9314f6895171c279">LoadNewValues</a>( notnull <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> options, <span class="keywordtype">int</span> current_index )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        m_Options = options;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#aa20caa6bb177c53430352cc7072e1218">SetValue</a>( current_index );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a3d53ccef6e11bdb9dd86814d2fb6e921">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a3d53ccef6e11bdb9dd86814d2fb6e921">SetNextOption</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordtype">int</span> idx = m_SelectedOptionIndex;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        idx++;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span>( idx &gt;= m_Options.Count() )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            idx = 0;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_AttemptOptionChange.Invoke(idx);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (m_CanSwitch)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="comment">//m_SelectedOptionIndex = idx;</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">PerformSetOption</a>(idx);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#aaca8c390a41d99f72400a6beeceef94b">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#aaca8c390a41d99f72400a6beeceef94b">SetPrevOption</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordtype">int</span> idx = m_SelectedOptionIndex;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        idx--;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span>( idx &lt; 0 )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            idx = m_Options.Count() - 1;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        m_AttemptOptionChange.Invoke(idx);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (m_CanSwitch)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="comment">//m_SelectedOptionIndex = idx;</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">PerformSetOption</a>(idx);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="comment">//actual set</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">   79</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">PerformSetOption</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        m_SelectedOptionIndex = index;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        m_SelectedOption.SetText( m_Options.Get( index ) );</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        m_OptionChanged.Invoke( index );</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a936a9ed0fe8bc91a142d1ba050c70de0">   86</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a936a9ed0fe8bc91a142d1ba050c70de0">SetCanSwitch</a>(<span class="keywordtype">bool</span> value)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        m_CanSwitch = value;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#aacfdc205e27afc3567e4baed1e66fcd9">   91</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#aacfdc205e27afc3567e4baed1e66fcd9">CanSwitch</a>()</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/dc0/class_option_selector.html#a1b9a58c73204b7539dda334b2bc7d981">m_CanSwitch</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#aa20caa6bb177c53430352cc7072e1218">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#aa20caa6bb177c53430352cc7072e1218">SetValue</a>( <span class="keywordtype">int</span> value, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">if</span>( value &lt; m_Options.Count() &amp;&amp; value &gt;= 0 )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            m_SelectedOptionIndex = value;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            m_SelectedOption.SetText( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordflow">if</span>( fire_event )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                m_OptionChanged.Invoke( m_SelectedOptionIndex );</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#abddcf982f7ced76f3364482ff152be6e">  107</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#abddcf982f7ced76f3364482ff152be6e">SetValue</a>( <span class="keywordtype">string</span> value, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordtype">int</span> index = m_Options.Find( value );</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span>( index &gt;= 0 )</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            m_SelectedOptionIndex = index;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            m_SelectedOption.SetText( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <span class="keywordflow">if</span>( fire_event )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                m_OptionChanged.Invoke( m_SelectedOptionIndex );</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a73749e90e8ee009c3f6ba548f8ffa1dc">  119</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a73749e90e8ee009c3f6ba548f8ffa1dc">SetRandomValue</a>()</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        m_SelectedOptionIndex = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>( 0, m_Options.Count() );</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        m_SelectedOption.SetText( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        m_OptionChanged.Invoke( m_SelectedOptionIndex );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a731314a6581fc09629886f0bbb40a86f">  126</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a731314a6581fc09629886f0bbb40a86f">GetValue</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> m_SelectedOptionIndex;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d3/dc0/class_option_selector.html#a7902c8de64025b1b513e975475e6697b">  131</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dc0/class_option_selector.html#a7902c8de64025b1b513e975475e6697b">SetStringOption</a>( <span class="keywordtype">string</span> option, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordtype">int</span> index = m_Options.Find( option );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span>( index &gt; -1 )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            m_SelectedOptionIndex = index;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            m_SelectedOption.SetText( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            <span class="keywordflow">if</span>( fire_event )</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>                m_OptionChanged.Invoke( m_SelectedOptionIndex );</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>}</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="keyword">class </span><a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a6d27cd85e73e054b486ebf49a007632d">OptionSelectorMultistateCharacterMenu</a> <span class="keyword">extends</span> OptionSelectorMultistate</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>{</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="comment">//m_SelectedOption.SetDisplayNameText( m_Options.Get( m_SelectedOptionIndex ) );</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">  148</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">  149</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <span class="stringliteral">&quot;cfgVehicles &quot;</span> + <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a> + <span class="stringliteral">&quot; displayName&quot;</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">  150</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">displayname</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a6d27cd85e73e054b486ebf49a007632d">  152</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a6d27cd85e73e054b486ebf49a007632d">OptionSelectorMultistateCharacterMenu</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, <span class="keywordtype">int</span> current_index, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> parent_c, <span class="keywordtype">bool</span> disabled, notnull <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> options )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">  157</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(<span class="keywordtype">string</span> value, <span class="keywordtype">string</span> appendix)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="comment">//class_name = value;</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <span class="stringliteral">&quot;cfgVehicles &quot;</span> + <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a> + <span class="stringliteral">&quot; displayName&quot;</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">ConfigGetText</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>, <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">displayname</a>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">if</span> (value == <span class="stringliteral">&quot;Male&quot;</span>)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            m_SelectedOption.SetText(<span class="stringliteral">&quot;#str_cfgvehicles_survivorM0&quot;</span>);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (value == <span class="stringliteral">&quot;Female&quot;</span>)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            m_SelectedOption.SetText(<span class="stringliteral">&quot;#str_cfgvehicles_survivorF0&quot;</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (appendix != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            <span class="keywordflow">if</span> (value == <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                m_SelectedOption.SetText(<span class="stringliteral">&quot;NO ITEM - localization needed!&quot;</span>);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                m_SelectedOption.SetText(<span class="stringliteral">&quot;&quot;</span> + <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">displayname</a> + <span class="stringliteral">&quot; &quot;</span> + appendix); <span class="comment">//characters</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        {</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            m_SelectedOption.SetText(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">displayname</a>);</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">  183</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>(<span class="keywordtype">string</span> value)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordflow">if</span> (value == <span class="stringliteral">&quot;Male&quot;</span> || value == <span class="stringliteral">&quot;Female&quot;</span>)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(value,<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a> = value;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordtype">int</span> index = m_Options.Find( value ); <span class="comment">//TODO - design better way to differentiate between items</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>, <span class="stringliteral">&quot;Clothing_Base&quot;</span>) )</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        {</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            <span class="comment">//todo</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>,index.ToString());</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>,<span class="stringliteral">&quot;SurvivorBase&quot;</span>))</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>,<span class="stringliteral">&quot;SurvivorMale_Base&quot;</span>))</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>                <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(<span class="stringliteral">&quot;#str_cfgvehicles_survivorM0&quot;</span>,(m_SelectedOptionIndex + 1).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>());</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                <span class="comment">//#str_cfgvehicles_survivorM0</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>,<span class="stringliteral">&quot;SurvivorFemale_Base&quot;</span>))</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(<span class="stringliteral">&quot;#str_cfgvehicles_survivorF0&quot;</span>,(m_SelectedOptionIndex + 1).<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>());</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="comment">//m_SelectedOption.SetText(class_name);</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="comment">//SetDisplayNameText(class_name,m_SelectedOptionIndex.ToString());</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>            <span class="comment">//todo</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a>(<a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>,index.ToString());</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">  219</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a>(<span class="keywordtype">string</span> value, <span class="keywordtype">string</span> baseclass)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keywordtype">string</span> child = value;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordtype">string</span> parent;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="keywordflow">while</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().ConfigGetBaseName(<span class="stringliteral">&quot;cfgVehicles &quot;</span> + child, parent) )</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            <span class="keywordflow">if</span> (parent == baseclass)</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            child = parent;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        }</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a995fa358c13fb557a18afdc953541388">  234</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a995fa358c13fb557a18afdc953541388">SetNextOption</a>()</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        super.SetNextOption();</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#aa4bbaee51f0ec5e5cc23b3461cfc5259">  240</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#aa4bbaee51f0ec5e5cc23b3461cfc5259">SetPrevOption</a>()</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    {</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        super.SetPrevOption();</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">SetValue</a>( <span class="keywordtype">int</span> value, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        super.SetValue( value,fire_event );</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    }</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#aee193042c8b4e332e17f3c4c1baab5f3">  252</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">SetValue</a>( <span class="keywordtype">string</span> value, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        super.SetValue( value,fire_event );</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#abddf7c39f7b5d2d503e816d621ff80de">  258</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#abddf7c39f7b5d2d503e816d621ff80de">SetRandomValue</a>()</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        super.SetRandomValue();</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    }</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno"><a class="line" href="../../d1/db8/_option_selector_multistate_8c.html#a82913c8a3d70333028dad22337639861">  264</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a82913c8a3d70333028dad22337639861">SetStringOption</a>( <span class="keywordtype">string</span> option, <span class="keywordtype">bool</span> fire_event = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    {</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        super.SetStringOption( option, fire_event );</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a>( m_Options.Get( m_SelectedOptionIndex ) );</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>}</div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a160f775f21db25730039913444e706d8"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a160f775f21db25730039913444e706d8">SetTextSmart</a></div><div class="ttdeci">void SetTextSmart(string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00183">OptionSelectorMultistate.c:183</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a34c12e1e7e7061e675e11f3d3692af3d"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">SetValue</a></div><div class="ttdeci">override void SetValue(int value, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00246">OptionSelectorMultistate.c:246</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a3d381d02f8316cc02ae5ee4389c4e9b2"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a3d381d02f8316cc02ae5ee4389c4e9b2">displayname</a></div><div class="ttdeci">string displayname</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00150">OptionSelectorMultistate.c:150</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a46c20eb2a26abeb1e934cd66e1dd6484"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a></div><div class="ttdeci">string path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00149">OptionSelectorMultistate.c:149</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a652b78c5f48c82e5c96bd2417d3f7f6d"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a652b78c5f48c82e5c96bd2417d3f7f6d">InheritsFrom</a></div><div class="ttdeci">bool InheritsFrom(string value, string baseclass)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00219">OptionSelectorMultistate.c:219</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a6d27cd85e73e054b486ebf49a007632d"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a6d27cd85e73e054b486ebf49a007632d">OptionSelectorMultistateCharacterMenu</a></div><div class="ttdeci">void OptionSelectorMultistateCharacterMenu(Widget parent, int current_index, ScriptedWidgetEventHandler parent_c, bool disabled, notnull array&lt; string &gt; options)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00152">OptionSelectorMultistate.c:152</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a6e64693a765afc8a0b5442acfb2ba262"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a></div><div class="ttdeci">class OptionSelectorMultistate extends OptionSelector class_name</div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a82913c8a3d70333028dad22337639861"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a82913c8a3d70333028dad22337639861">SetStringOption</a></div><div class="ttdeci">override void SetStringOption(string option, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00264">OptionSelectorMultistate.c:264</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a995fa358c13fb557a18afdc953541388"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a995fa358c13fb557a18afdc953541388">SetNextOption</a></div><div class="ttdeci">override void SetNextOption()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00234">OptionSelectorMultistate.c:234</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a9e73dc787284229b22d038cdc1f57c98"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a9e73dc787284229b22d038cdc1f57c98">SetDisplayNameText</a></div><div class="ttdeci">void SetDisplayNameText(string value, string appendix)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00157">OptionSelectorMultistate.c:157</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_aa4bbaee51f0ec5e5cc23b3461cfc5259"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#aa4bbaee51f0ec5e5cc23b3461cfc5259">SetPrevOption</a></div><div class="ttdeci">override void SetPrevOption()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00240">OptionSelectorMultistate.c:240</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_abddf7c39f7b5d2d503e816d621ff80de"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#abddf7c39f7b5d2d503e816d621ff80de">SetRandomValue</a></div><div class="ttdeci">override void SetRandomValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00258">OptionSelectorMultistate.c:258</a></div></div>
<div class="ttc" id="aclass_c_game_html_a87b6e86f92ca647026095bb221c98650"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">CGame::ConfigGetText</a></div><div class="ttdeci">proto bool ConfigGetText(string path, out string value)</div><div class="ttdoc">Get string value from config on path.</div></div>
<div class="ttc" id="aclass_option_selector_html"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html">OptionSelector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00001">OptionSelectorMultistate.c:2</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a1b9a58c73204b7539dda334b2bc7d981"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a1b9a58c73204b7539dda334b2bc7d981">OptionSelector::m_CanSwitch</a></div><div class="ttdeci">protected bool m_CanSwitch</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00003">OptionSelectorMultistate.c:3</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a3d53ccef6e11bdb9dd86814d2fb6e921"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a3d53ccef6e11bdb9dd86814d2fb6e921">OptionSelector::SetNextOption</a></div><div class="ttdeci">override void SetNextOption()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00044">OptionSelectorMultistate.c:44</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a731314a6581fc09629886f0bbb40a86f"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a731314a6581fc09629886f0bbb40a86f">OptionSelector::GetValue</a></div><div class="ttdeci">int GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00126">OptionSelectorMultistate.c:126</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a73749e90e8ee009c3f6ba548f8ffa1dc"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a73749e90e8ee009c3f6ba548f8ffa1dc">OptionSelector::SetRandomValue</a></div><div class="ttdeci">void SetRandomValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00119">OptionSelectorMultistate.c:119</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a7902c8de64025b1b513e975475e6697b"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a7902c8de64025b1b513e975475e6697b">OptionSelector::SetStringOption</a></div><div class="ttdeci">override void SetStringOption(string option, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00131">OptionSelectorMultistate.c:131</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a936a9ed0fe8bc91a142d1ba050c70de0"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a936a9ed0fe8bc91a142d1ba050c70de0">OptionSelector::SetCanSwitch</a></div><div class="ttdeci">void SetCanSwitch(bool value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00086">OptionSelectorMultistate.c:86</a></div></div>
<div class="ttc" id="aclass_option_selector_html_a95c34f397b09a25c9314f6895171c279"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#a95c34f397b09a25c9314f6895171c279">OptionSelector::LoadNewValues</a></div><div class="ttdeci">void LoadNewValues(notnull array&lt; string &gt; options, int current_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00038">OptionSelectorMultistate.c:38</a></div></div>
<div class="ttc" id="aclass_option_selector_html_aa20caa6bb177c53430352cc7072e1218"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#aa20caa6bb177c53430352cc7072e1218">OptionSelector::SetValue</a></div><div class="ttdeci">void SetValue(int value, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00096">OptionSelectorMultistate.c:96</a></div></div>
<div class="ttc" id="aclass_option_selector_html_aaca8c390a41d99f72400a6beeceef94b"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#aaca8c390a41d99f72400a6beeceef94b">OptionSelector::SetPrevOption</a></div><div class="ttdeci">override void SetPrevOption()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00061">OptionSelectorMultistate.c:61</a></div></div>
<div class="ttc" id="aclass_option_selector_html_aacfdc205e27afc3567e4baed1e66fcd9"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#aacfdc205e27afc3567e4baed1e66fcd9">OptionSelector::CanSwitch</a></div><div class="ttdeci">bool CanSwitch()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00091">OptionSelectorMultistate.c:91</a></div></div>
<div class="ttc" id="aclass_option_selector_html_abddcf982f7ced76f3364482ff152be6e"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#abddcf982f7ced76f3364482ff152be6e">OptionSelector::SetValue</a></div><div class="ttdeci">void SetValue(string value, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00107">OptionSelectorMultistate.c:107</a></div></div>
<div class="ttc" id="aclass_option_selector_html_adc32b00450693e19d9e6bd48bfd930d1"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">OptionSelector::PerformSetOption</a></div><div class="ttdeci">void PerformSetOption(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00079">OptionSelectorMultistate.c:79</a></div></div>
<div class="ttc" id="aclass_option_selector_html_af5993296d9069b7b33d3e8c737252398"><div class="ttname"><a href="../../d3/dc0/class_option_selector.html#af5993296d9069b7b33d3e8c737252398">OptionSelector::OptionSelectorMultistate</a></div><div class="ttdeci">void OptionSelectorMultistate(Widget parent, int current_index, ScriptedWidgetEventHandler parent_c, bool disabled, notnull array&lt; string &gt; options)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00005">OptionSelectorMultistate.c:5</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga8437b9ea324657b6fb84a8b69a99f18e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga8437b9ea324657b6fb84a8b69a99f18e">Enable</a></div><div class="ttdeci">proto native void Enable(bool enable)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../d1/db8/_option_selector_multistate_8c.html">OptionSelectorMultistate.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
